function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_bathroom2"
end

function p.main()
    set_default_block("r_bathroom2")
    
    std.create_half_tube(3, "x_pos", "e")
    create_rect("e", 1,1,1, 14,14,14)
    
    local msg_str = "The picture on the wall is a \"^x00ff00basic entity^!\" "
        .. "of type \"picture_gato4\". "
        .. "That entity uses the ^x00ff00mesh^! "
        .. "of the same name for rendering.\n\n"
        .. "Go to Data/Packages/base/^x00ff00Meshes/mesh_names.txt^! "
        .. "and find picture_gato4.\n\n"
        .. "You see that the mesh name \"picture_gato4\" "
        .. "is associated to the texture name picture_gato4 "
        .. "and the wavefront file \"picture_box.obj\". "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)

    msg_str = "Copy a ^x00ff00Wavefront File^! "
        .. "(which will end with .obj) from "
        .. "the \"base/Meshes\" directory "
        .. "and place it into the Meshes "
        .. "directory of this package. "
        .. "You might want to use \"large_box.obj\".\n\n"
        .. "Now add an entry to the mesh_names.txt file of this "
        .. "package to override it so the mesh name "
        .. "\"picture_gato4\" now is associated to "
        .. "(1) the wavefront file you copied and "
        .. "(2) a texture listed in the texture_names.txt "
        .. "file of this package. "
    add_bent_s(7,7,5,"bent_base_txt",msg_str)

    add_bent(7,14,7,"bent_base_picture_gato4")
end
